MyGUI_Platform.h File Reference

Go to the source code of this file.

## Macros

#define | MYGUI_PLATFORM_WIN32 1
#define | MYGUI_PLATFORM_LINUX 2
#define | MYGUI_PLATFORM_APPLE 3
#define | MYGUI_COMPILER_MSVC 1
#define | MYGUI_COMPILER_GNUC 2
#define | MYGUI_PLATFORM MYGUI_PLATFORM_LINUX
#define | MYGUI_EXPORT
#define | MYGUI_EXPORT_DLL
#define | MYGUI_DEBUG_MODE 1

## Macro Definition Documentation

## MYGUI_COMPILER_GNUC

#define MYGUI_COMPILER_GNUC 2

Definition at line 17 of file MyGUI_Platform.h.

## MYGUI_COMPILER_MSVC

#define MYGUI_COMPILER_MSVC 1

Definition at line 16 of file MyGUI_Platform.h.

## MYGUI_DEBUG_MODE

#define MYGUI_DEBUG_MODE 1

Definition at line 84 of file MyGUI_Platform.h.

## MYGUI_EXPORT

#define MYGUI_EXPORT

Definition at line 77 of file MyGUI_Platform.h.

## MYGUI_EXPORT_DLL

#define MYGUI_EXPORT_DLL

Definition at line 78 of file MyGUI_Platform.h.

## MYGUI_PLATFORM

#define MYGUI_PLATFORM MYGUI_PLATFORM_LINUX

Definition at line 26 of file MyGUI_Platform.h.

## MYGUI_PLATFORM_APPLE

#define MYGUI_PLATFORM_APPLE 3

Definition at line 13 of file MyGUI_Platform.h.

## MYGUI_PLATFORM_LINUX

#define MYGUI_PLATFORM_LINUX 2

Definition at line 12 of file MyGUI_Platform.h.

## MYGUI_PLATFORM_WIN32

#define MYGUI_PLATFORM_WIN32 1

Definition at line 11 of file MyGUI_Platform.h.